CRYPTO_RNG_SEEDSIZE(9)

NAME
crypto_rng_seedsize - obtain seed size of RNG

SYNOPSIS

int crypto_rng_seedsize(struct crypto_rng * tfm);

ARGUMENTS

tfm
    cipher handle

DESCRIPTION

The function returns the seed size for the random number generator referenced by the cipher handle. This value may be zero if the random number generator does not implement or require a reseeding. For example, the SP800-90A DRBGs implement an automated reseeding after reaching a pre-defined threshold.

RETURN

seed size for the random number generator

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT